Aria: ArConstRetFunctorC< Ret, T > Class Template Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArConstRetFunctorC< Ret, T > Class Template Reference

`#include <ArFunctor.h>`

Inheritance diagram for ArConstRetFunctorC< Ret, T >:

List of all members.

## Detailed Description

### template<class Ret, class T>
class ArConstRetFunctorC< Ret, T >

Functor for a const member function with return value.

This is a class for const member functions which return a value. This class contains the knowledge on how to call a const member function on a particular instance of a class. This class should be instantiated by code that wishes to pass off a functor to another piece of code.

For an overall description of functors, see ArFunctor.

## Public Member Functions
| ArConstRetFunctorC (T *obj, Ret(T::*func)(void) const)
| Constructor - supply function pointer.
| ArConstRetFunctorC (T &obj, Ret(T::*func)(void) const)
| Constructor - supply function pointer.
| ArConstRetFunctorC ()
| Constructor.
virtual Ret | invokeR (void)
| Invokes the functor with return value.
virtual void | setThis (T &obj)
| Set the 'this' pointer.
virtual void | setThis (T *obj)
| Set the 'this' pointer.
virtual | ~ArConstRetFunctorC ()
| Destructor - supply function pointer.
## Protected Attributes
Ret(T::* | myFunc )(void) const
T * | myObj

## Constructor & Destructor Documentation

template<class Ret, class T>

ArConstRetFunctorC< Ret, T >::ArConstRetFunctorC | ( | T & | obj,
|  | Ret(T::*)(void) const | func |
| ) |  |  | `[inline]`

Constructor - supply function pointer.

Parameters:

  | obj | object to call function on
  | func | const member function pointer

template<class Ret, class T>

ArConstRetFunctorC< Ret, T >::ArConstRetFunctorC | ( | T * | obj,
|  | Ret(T::*)(void) const | func |
| ) |  |  | `[inline]`

Constructor - supply function pointer.

Parameters:

  | obj | object to call function on
  | func | const member function pointer

## Member Function Documentation

template<class Ret, class T>

virtual void ArConstRetFunctorC< Ret, T >::setThis | ( | T & | obj | ) | `[inline, virtual]`

Set the 'this' pointer.

Parameters:

  | obj | the 'this' pointer

template<class Ret, class T>

virtual void ArConstRetFunctorC< Ret, T >::setThis | ( | T * | obj | ) | `[inline, virtual]`

Set the 'this' pointer.

Parameters:

  | obj | the 'this' pointer

The documentation for this class was generated from the following file:

- ArFunctor.h